Bug 46850 - preup.sh should check, if a failed.ldif exists
preup.sh should check, if a failed.ldif exists
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Jürn Brodersen
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-19 10:46 CEST by Christina Scheinig
Modified: 2018-05-16 17:04 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.114
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2018041821000155
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christina Scheinig univentionstaff 2018-04-19 10:46:40 CEST
In a customer environment the update to UCS 4.2 broke, because a failed.ldif exist and could not be applied.
After fixing the failed.ldif, still an unconfigured slapd package was left behind, and the update could not be restarted.

Maybe we can check for a failed.ldif in the preup script?
Comment 1 Jürn Brodersen univentionstaff 2018-05-09 18:43:30 CEST
[4.3-0 575138c183] Bug #46850: check for failed.ldif in preup.sh
[4.3-0 0d89c46be4] Bug #46850: YAML
[4.3-0 f98772fd9a] Bug #46850: YAML

I didn't add an ucr variable because moving the failed.ldif shouldn't be a problem if someone wants to ignore the error.
Comment 2 Felix Botner univentionstaff 2018-05-14 14:50:43 CEST
please make this change also to the current 4.3-0 preup.sh, there is no automatic way to change this file post release

see https://forge.univention.org/bugzilla/show_bug.cgi?id=46669#c1
Comment 3 Jürn Brodersen univentionstaff 2018-05-14 15:02:07 CEST
(In reply to Felix Botner from comment #2)
> please make this change also to the current 4.3-0 preup.sh, there is no
> automatic way to change this file post release
> 
> see https://forge.univention.org/bugzilla/show_bug.cgi?id=46669#c1

Done. The new preup.sh should be signed and on the test mirror.

After QA but before closing see: https://forge.univention.org/bugzilla/show_bug.cgi?id=46669#c3
Comment 4 Felix Botner univentionstaff 2018-05-14 16:50:54 CEST
OK, looks good
Comment 5 Jürn Brodersen univentionstaff 2018-05-14 17:11:38 CEST
preup.sh is now on "updates.software-univention.de"
Comment 6 Felix Botner univentionstaff 2018-05-14 17:46:48 CEST
OK - https://updates.software-univention.de/
OK - update fails with existing failed.ldif
OK - update starts without failed.ldif
OK - signature
OK - YAML
Comment 7 Arvid Requate univentionstaff 2018-05-16 17:04:24 CEST
<http://errata.software-univention.de/ucs/4.3/40.html>